import express from 'express';
import { wrapAsync } from '@/api/http/request';
import * as content_catalog from '@/api/controllers/content_catalog.controller';

const router = express.Router();

router.get('/', wrapAsync(content_catalog.list));
router.post('/', wrapAsync(content_catalog.create));
router.get('/:contentType', wrapAsync(content_catalog.findManagedByType));
router.put('/:contentType', wrapAsync(content_catalog.update));
router.delete('/:contentType', wrapAsync(content_catalog.remove));

export default router;
